Python Support - Story #4200
Story # 4188 (CLOSED - CURRENTRELEASE): As a Pulp3 user, | have containers

As a Python user, | have containers
11/27/2018 10:56 PM - bmbouter

Status: NEW Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Sprint/Milestone:

Platform Release: Tags:

Target Release - Sprint:

Python:

Groomed: No Quarter:

Sprint Candidate: No

Description

This machinery should run when a release tag is pushed indicating a new release, similar to how plugins publish to PyPI already.
When activated it should:

1. Install the plugin on top of the generic, most recent core container.
2. start that container and run pulp-smash tests against it

3. If all the tests pass, publish the container to quay.io with credentials

The credentials need to be configured somehow in the config files.

History

#1 -11/27/2018 10:57 PM - bmbouter
- Parent task set to #4188

#2 - 04/26/2019 10:33 PM - bmbouter
- Tags deleted (Pulp 3)
